webkit-0.12.6.1: Binding to the Webkit library.

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.WebKit.WebHistoryItem

Contents

- Description
- Types
- Constructors
- Attributes
- Methods

Description

One item of the `WebBackForwardList` and or global history

Synopsis

- data WebHistoryItem
- class GObjectClass o => WebHistoryItemClass o
- webHistoryItemNew :: IO WebHistoryItem
- webHistoryItemNewWithData :: String -> String -> IO WebHistoryItem
- webHistoryItemTitle :: WebHistoryItemClass self => ReadAttr self (Maybe String)
- webHistoryItemAlternateTitle :: WebHistoryItemClass self => Attr self (Maybe String)
- webHistoryItemUri :: WebHistoryItemClass self => ReadAttr self (Maybe String)
- webHistoryItemOriginalUri :: WebHistoryItemClass self => ReadAttr self (Maybe String)
- webHistoryItemLastVisitedTime :: WebHistoryItemClass self => ReadAttr self Double
- webHistoryItemGetTitle :: WebHistoryItemClass self => self -> IO (Maybe String)
- webHistoryItemGetAlternateTitle :: WebHistoryItemClass self => self -> IO (Maybe String)
- webHistoryItemSetAlternateTitle :: WebHistoryItemClass self => self -> Maybe String -> IO ()
- webHistoryItemGetUri :: WebHistoryItemClass self => self -> IO (Maybe String)
- webHistoryItemGetOriginalUri :: WebHistoryItemClass self => self -> IO (Maybe String)
- webHistoryItemGetLastVisitedTime :: WebHistoryItemClass self => self -> IO Double
- webHistoryItemCopy :: WebHistoryItemClass self => self -> IO WebHistoryItem

# Description

A history item consists out of a title and a uri. It can be part of the WebKitWebBackForwardList and the global history. The global history is used for coloring the links of visited sites. WebKitWebHistoryItem's constructed with `webHistoryItemNew` and `webHistoryItemNewWithData` are automatically added to the global history.

# Types

data WebHistoryItem

Instances

Eq WebHistoryItem |
Ord WebHistoryItem |
GObjectClass WebHistoryItem |
WebHistoryItemClass WebHistoryItem |

class GObjectClass o => WebHistoryItemClass o

Instances

WebHistoryItemClass WebHistoryItem |

# Constructors

webHistoryItemNew :: IO WebHistoryItem

Create a new `WebHistoryItem` instance.

A history item consists out of a title and a uri, it can be part of the WebBackForwardList and the global history.

The global history is used for coloring the links of visited sites. `WebHistoryItem` constructed with `webHistoryItemNew` are automatically added to the global history.

webHistoryItemNewWithData

Arguments

:: String | `uri` - the uri of the item
-> String | `title` - the title of the item
-> IO WebHistoryItem |

Create a new `WebHistoryItem` instance with the given `uri` and `title`.

`WebHistoryItem` constructed with `webHistoryItemNewWithData` are automatically added to the global history.

# Attributes

webHistoryItemTitle :: WebHistoryItemClass self => ReadAttr self (Maybe String)

The title of the `WebHistoryItem`

Default value: `Nothing`

webHistoryItemAlternateTitle :: WebHistoryItemClass self => Attr self (Maybe String)

The alternate title of the history item.

Default value: `Nothing`

webHistoryItemUri :: WebHistoryItemClass self => ReadAttr self (Maybe String)

The URI of the history item.

Default value: `Nothing`

webHistoryItemOriginalUri :: WebHistoryItemClass self => ReadAttr self (Maybe String)

The original URI of the history item.

Default value: `Nothing`

webHistoryItemLastVisitedTime :: WebHistoryItemClass self => ReadAttr self Double

The time at which the history item was last visited.

Allowed values: >= 0

Default value: 0

# Methods

webHistoryItemGetTitle

Arguments

:: WebHistoryItemClass self |
=> self |
-> IO (Maybe String) | the title or `Nothing` in case failed.

Return the title of `WebHistoryItem`.

webHistoryItemGetAlternateTitle

Arguments

:: WebHistoryItemClass self |
=> self |
-> IO (Maybe String) | the alternate title or `Nothing` in case failed.

Return the alternate title of WebHistoryItem.

webHistoryItemSetAlternateTitle

Arguments

:: WebHistoryItemClass self |
=> self |
-> Maybe String | `title` - the alternate title for this history item.
-> IO () |

Set an alternate title for WebHistoryItem.

webHistoryItemGetUri

Arguments

:: WebHistoryItemClass self |
=> self |
-> IO (Maybe String) | the URI or `Nothing` in case failed.

Return the URI of WebHistoryItem.

webHistoryItemGetOriginalUri

Arguments

:: WebHistoryItemClass self |
=> self |
-> IO (Maybe String) | the URI or `Nothing` in case failed

Return the original URI of WebHistoryItem.

webHistoryItemGetLastVisitedTime

Arguments

:: WebHistoryItemClass self |
=> self |
-> IO Double | the last visited time of this history item.

Return the last visited time of WebHistoryItem.

webHistoryItemCopy :: WebHistoryItemClass self => self -> IO WebHistoryItem

Makes a copy of the item for use with other WebView objects.

- Since 1.1.18